Debian Bug report logs - #209030
dialog: --defaultno option for checklist

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Jörg Sommer <joerg@alea.gnuu.de>

Date: Sun, 7 Sep 2003 01:18:04 UTC

Severity: wishlist

Found in version 0.9b-20030720-1

Fixed in version dialog/0.9b-20031130-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#209030; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Jörg Sommer <joerg@alea.gnuu.de>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jörg Sommer <joerg@alea.gnuu.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dialog: --defaultno option for checklist
Date: Sun, 7 Sep 2003 02:48:37 +0200
[Message part 1 (text/plain, inline)]
Package: dialog
Version: 0.9b-20030720-1
Severity: wishlist

Hi,

if the cursor is somewhere in a checklist and you hit enter, <OK> is
taken if not changed before. In many cases, this is very dangerous. The
option --defaultno should set the default button on <No>. So someone can
hit enter and maybe his selection is lost, but not his home directory.

Thanx, Jörg.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux joerg 2.4.21 #1 Son Jun 15 15:09:29 MEST 2003 i586
Locale: LANG=de_DE, LC_CTYPE=de_DE

Versions of packages dialog depends on:
ii  debianutils               2.5.4          Miscellaneous utilities specific t
ii  libc6                     2.3.1-16       GNU C Library: Shared libraries an
ii  libncurses5               5.3.20030719-1 Shared libraries for terminal hand

-- no debconf information
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#209030; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #10 received at 209030@bugs.debian.org (full text, mbox):

From: dickey@his.com (Thomas Dickey)
To: 209030@bugs.debian.org
Cc: dickey@his.com (Thomas Dickey)
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=209030
Date: Sun, 7 Sep 2003 20:14:02 -0400
>                       Debian Bug report logs - #209030
>                   dialog: --defaultno option for checklist
perhaps (or perhaps a new option --default-cancel).
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#209030; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #15 received at 209030@bugs.debian.org (full text, mbox):

From: dickey@his.com (Thomas Dickey)
To: 209030@bugs.debian.org
Cc: dickey@his.com (Thomas Dickey)
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=209030
Date: Sun, 30 Nov 2003 12:22:43 -0500
>                       Debian Bug report logs - #209030
>                   dialog: --defaultno option for checklist
This is fixed in 0.9b-20031126:

2003/11/26
	+ make "--defaultno" option apply to widgets which use OK/Cancel
	  buttons as well (Debian #209030).
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jörg Sommer <joerg@alea.gnuu.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 209030-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 209030-close@bugs.debian.org
Subject: Bug#209030: fixed in dialog 0.9b-20031130-1
Date: Fri, 05 Dec 2003 11:17:08 -0500
Source: dialog
Source-Version: 0.9b-20031130-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_0.9b-20031130-1.diff.gz
  to pool/main/d/dialog/dialog_0.9b-20031130-1.diff.gz
dialog_0.9b-20031130-1.dsc
  to pool/main/d/dialog/dialog_0.9b-20031130-1.dsc
dialog_0.9b-20031130-1_i386.deb
  to pool/main/d/dialog/dialog_0.9b-20031130-1_i386.deb
dialog_0.9b-20031130.orig.tar.gz
  to pool/main/d/dialog/dialog_0.9b-20031130.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 209030@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri,  5 Dec 2003 16:49:22 +0100
Source: dialog
Binary: dialog
Architecture: source i386
Version: 0.9b-20031130-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 209030 209031 213424 213425 217926
Changes: 
 dialog (0.9b-20031130-1) unstable; urgency=low
 .
   * New upstream release.
   - The "--defaultno" option now also applies to widgets which use
     OK/Cancel buttons (Closes: #209030).
   - There is now a "--help-status" option which allows scripts to
     restore a checklist or radiolist after processing an item-help
     string (Closes: #209031).
   - Now "dialog --no-shadow --print-maxsize" should work (Closes: #213424).
   - The "--stdout" option is no longer assumed if the script using dialog
     redirects the standard output. Use the new environment variable
     DIALOG_TTY to get the old behaviour (Closes: #213425).
   - Exit codes should now be properly documented (Closes: #217926).
   - There are more new features, like the --insecure option for entering
     passwords, see the upstream changelog for details.
   * Added a lot of examples to /usr/share/doc/dialog/examples.
Files: 
 77305ccdd72281c577df94d7530a70a8 596 misc optional dialog_0.9b-20031130-1.dsc
 90cfdc27036bc1fda1047f878d491360 248809 misc optional dialog_0.9b-20031130.orig.tar.gz
 c009b6ff6e106204cb884b79ac35cc12 6940 misc optional dialog_0.9b-20031130-1.diff.gz
 8476702f1fe61d3b5c198e80e54ab19e 157076 misc optional dialog_0.9b-20031130-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD4DBQE/0Kogd9Uuvj7yPNYRAiu+AJiqj3QDoUfSsR/xTj/BzZtr8kABAJ4qUXes
RZuPAQ5wNxNPVP+1k6tGXw==
=Sykt
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:01:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.